import service from "@/utils/axios";
export * from "./modules/task";
export * from "./modules/certificate";
export * from "./modules/scheme";
export * from "./modules/equipment";
export * from "./modules/data";
export * from "./modules/report";

// 登录
export const login = (data, role) => {
  return service.request({
    method: "POST",
    url:
      role === "管理员" ? "/Login_Admin_verification" : "/Login_verification",
    data,
  });
};

// 获取上传token
export const getUpFileTokenData = (data) => {
  return service.request({
    method: "POST",
    url: "/UpFileToken",
    data,
  });
};
