import service from "@/utils/axios";

// 设备分类-设备列表（列表）
export const getDeviceClassListData = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/List",
    data,
  });
};

// 设备分类-设备列表（添加）
export const addDeviceClassListData = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/Add",
    data,
  });
};

// 设备分类-设备列表（编辑）
export const editDeviceClassListData = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/Up",
    data,
  });
};

// 设备分类-设备列表（删除）
export const deleteDeviceClassListData = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/Del",
    data,
  });
};

// 设备管理（列表）
export const getDeviceData = (data) => {
  return service.request({
    method: "POST",
    url: "/Device/List",
    data,
  });
};

// 设备分类（获取）
export const getDeviceClass = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClass/Get",
    data,
  });
};

// 设备分类（编辑）
export const editDeviceClass = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClass/Up",
    data,
  });
};
